curl --request DELETE \
--url https://api.x.com/2/users/{id}/retweets/{source_tweet_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/users/{id}/retweets/{source_tweet_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/users/{id}/retweets/{source_tweet_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"retweeted": true
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}Annuler le repost de la publication
Permet à l’utilisateur authentifié d’annuler le repost d’une Publication spécifique identifiée par son ID.
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de chemin
L’ID de l’utilisateur source authentifié qui demande à reposter la Publication. Identifiant unique de cet utilisateur. La valeur doit correspondre à celle de l’utilisateur authentifié.
"2244994945"
L’ID de la Publication pour laquelle l’utilisateur demande l’annulation du repost. Identifiant unique de ce Tweet. Il est renvoyé sous forme de chaîne de caractères afin d’éviter les complications avec les langages et outils qui ne gèrent pas les entiers de très grande taille.
^[0-9]{1,19}$"1346889436626259968"
Réponse
La requête a réussi.
Show child attributes
Show child attributes
1Un objet HTTP Problem Details, tel que défini dans la RFC IETF 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes